fuss-server - Segnalazione #389

Content Filter
09/01/2017 08:49 AM - Michael Guggenberg

Status: Chiuso Start date: 09/01/2017
Priority: Alta Due date:

Assignee: Michael Guggenberg % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Dopo aver aggiunto on dominio da whitelistare octonet va in crash.
Forse da rivedere le entry whitelistate gia presenti come default?

Environment:

Request Method: POST
Request URL: http://localhost:13402/dansguardian/edit/allowed_sites

Django Version: 1.8.16
Python Version: 3.4.2
Installed Applications:
['django.contrib.sessions',
'django.contrib.messages’,
'whitenoise.runserver_nostatic',
'django.contrib.staticfiles',
'octonet',
'hostqueue.apps.HostQueue',
'firewall.apps.Firewall',
'dhcp.apps.Dhcp',
'dansguardian.apps.DansGuardian',
'host .apps.Host',
'polygen.apps.Polygen',
'upgrade.apps.Upgrade',
'asterisk.apps.Asterisk',
'samba.apps.Samba',
'users.apps.Users',
'script.apps.Script’',
'quota.apps.Quota',
'printers.apps.Printers’',
'auth.apps.Auth']
Installed Middleware:
['django.middleware.security.SecurityMiddleware',
'whitenoise.middleware.WhiteNoiseMiddleware',
'django.contrib.sessions.middleware.SessionMiddleware',
'django.middleware.common.CommonMiddleware',
'django.middleware.csrf.CsrfViewMiddleware',
'django.middleware.locale.LocaleMiddleware',
'octonet.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware']

Traceback:
File "/usr/lib/python3/dist-packages/django/core/handlers/base.py" in get_response
132. response = wrapped_callback (request, *callback_args, **callback_kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in view
71. return self.dispatch(request, *args, **kwargs)
File "/usr/share/octonet/octonet/mixins.py" in dispatch
114. return super () .dispatch(request, *args, **kw)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in dispatch
89. return handler (request, *args, **kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/edit.py" in post
215. return self.form_valid(form)
File "/usr/share/octonet/dansguardian/views.py" in form_valid

62. self.tree.ldelete([self.page, key])
File "/usr/lib/python3/dist-packages/octofuss/tree.py" in ldelete
166. return self.tree.ldelete(self.root + path, **kw)

File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in ldelete
112. return self._wrap_call(self.server.delete, "/".join (path))
File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in _wrap_call
78. raise exception_serializer.from_dict (res["exc"])

Exception Type: KeyError at /dansguardian/edit/allowed_sites
Exception Value: "'cannot delete path allowed_sites/provincia.bz.it/intendenza-scolastica/struttur
e/struttura-convitto.asp'"

Associated revisions

Revision adff305d - 09/01/2017 12:23 PM - Simone Piccardi

Version bump for whitelist corrections. Solve refs: #389

History

#1 - 09/01/2017 08:52 AM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Michael Guggenberg

Dall'errore mi sembra che non sia stato inserito un dominio, ma un nome a dominio piu' indirizzo di risorsa, confermi?

Se ci sono voci per la whitelist riguardano fuss-server, qui forse e' da aggiungere un validatore che impedisca di inserire url invece del solo dominio.

#2 - 09/01/2017 09:41 AM - Michael Guggenberg
- File Istantanea - 01092017 - 09_39 13.png added

Confermo, vedi allegato.
Non e mai stato insierito questo url, forse e gia presento dopo fuss-server --create?

#3 - 09/01/2017 09:44 AM - Christopher R. Gabriel
- Project changed from octonet to fuss-server
- Status changed from Commenti to Nuovo

- Assignee changed from Michael Guggenberg to Simone Piccardi

Confermo, e' presente un URL nella lista dei domini whitelisting dentro il template ansible di fuss-server.

Sposto su fuss-server e riassegno a Simone per |'aggiornamento. Lo cambierei direttamente in 'provincia.bz.it' cosi' non ci sono problemi (e non ne
vedo a whitelistare questo dominio)

#4 - 09/01/2017 05:13 PM - Simone Piccardi
- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Michael Guggenberg

Il nuovo fuss-server (8.0.27) rimuove la URL dal dominio, lasciando la whitelist impostata al solo provincia.bz.it. Il repository & stato aggiornato.

#5 - 09/07/2017 05:33 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE
Simone Piccardi ha scritto:

Il nuovo fuss-server (8.0.27) rimuove la URL dal dominio, lasciando la whitelist impostata al solo provincia.bz.it. Il repository € stato aggiornato.

ii fuss-server 8.0.27 all Fuss Server

Lancio fuss-server upgrade, provincia.bz.it/intendenza-scolastica/strutture/struttura-convitto.asp non ¢ stata rimossa dalla withelist.

#6 - 09/07/2017 05:34 PM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Simone Piccardi

#7 - 09/08/2017 02:51 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Michael Guggenberg

Ho provato a riprodurre il problema, ma senza successo. Parto da macchina installata con fuss-server 8.0.26 e con la riga problematica in
/etc/fuss-server/content-filter-allowed-sites:

root@fuss-server:~# dpkg -1 | grep fuss-server

ii fuss-server 8.0.26 all Fuss Server
root@fuss-server:~# grep convitto /etc/fuss-server/content-filter-allowed-sites
provincia.bz.it/intendenza-scolastica/strutture/struttura-convitto.asp #

installo la versione aggiornata ed eseguo fuss-server upgrade:

root@fuss-server:~# apt-get upgrade

fooo]

Elaborazione dei trigger per man-db (2.7.0.2-5)...

Configurazione di fuss-server (8.0.27)...

root@fuss-server:~# dpkg -1 | grep fuss-server

ii fuss-server 8.0.27 all Fuss Server
root@fuss—-server:~# fuss—server upgrade

fooo]

TASK [web_proxy : copy fuss—-server specific rules] ***x&x&xxxkdkdkdkxhhkdkdhxhhhhsrxrr
changed: [localhost]

fooo]

e la riga viene corretta:
root@fuss-server:~# grep convitto /etc/fuss-server/content-filter—-allowed-sites

root@fuss—-server:~# grep provincia.bz.it /etc/fuss-server/content-filter-allowed-sites
provincia.bz.it #
#8 - 09/11/2017 01:38 PM - Michael Guggenberg
- % Done changed from 0 to 100

risolto

#9 - 09/11/2017 02:17 PM - Michael Guggenberg

- Status changed from Commenti to Chiuso
